For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/biller/partner‑transaction‑types

get

Get available process types for a third party partner

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
billeridintegerOptional
Responses
200

success

successbooleanOptionalExample: true
get/api/biller/partner-transaction-types
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'billerid' => 3
	);

$request = array(
	'method' => 'GET',
	'path' => 'biller/partner-transaction-types',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "deduct_types": [
    {
      "id": 0,
      "type": "all_deductions",
      "type_nice": "All Deductions"
    },
    {
      "id": 6,
      "type": "chargeback",
      "type_nice": "Chargeback"
    },
    {
      "id": 4,
      "type": "credit",
      "type_nice": "Credit"
    },
    {
      "id": 28,
      "type": "insufficient_funds",
      "type_nice": "Insufficient Funds"
    },
    {
      "id": 19,
      "type": "void",
      "type_nice": "Void"
    }
  ],
  "trans_types": [
    {
      "id": 0,
      "type": "all_transactions",
      "type_nice": "All Transactions"
    },
    {
      "id": 5,
      "type": "conversion",
      "type_nice": "Conversion"
    },
    {
      "id": 1,
      "type": "initial",
      "type_nice": "Initial"
    },
    {
      "id": 38,
      "type": "no_cost_registration",
      "type_nice": "No Cost Registration"
    },
    {
      "id": 2,
      "type": "rebill",
      "type_nice": "Rebill"
    },
    {
      "id": 63,
      "type": "third_reg",
      "type_nice": "Third Reg"
    },
    {
      "id": 3,
      "type": "trial",
      "type_nice": "Trial"
    },
    {
      "id": 31,
      "type": "chargeback_reversal",
      "type_nice": "Chargeback Reversal"
    },
    {
      "id": 30,
      "type": "credit_reversal",
      "type_nice": "Credit Reversal"
    },
    {
      "id": 33,
      "type": "insufficient_funds_reversal",
      "type_nice": "Insufficient Funds Reversal"
    },
    {
      "id": 32,
      "type": "void_reversal",
      "type_nice": "Void Reversal"
    },
    {
      "id": 27,
      "type": "pending_conversion",
      "type_nice": "Pending Conversion"
    },
    {
      "id": 24,
      "type": "pending_initial",
      "type_nice": "Pending Initial"
    },
    {
      "id": 25,
      "type": "pending_rebill",
      "type_nice": "Pending Rebill"
    },
    {
      "id": 26,
      "type": "pending_trial",
      "type_nice": "Pending Trial"
    },
    {
      "id": 37,
      "type": "pre_conversion",
      "type_nice": "Pre Conversion"
    },
    {
      "id": 34,
      "type": "pre_initial",
      "type_nice": "Pre Initial"
    },
    {
      "id": 35,
      "type": "pre_rebill",
      "type_nice": "Pre Rebill"
    },
    {
      "id": 36,
      "type": "pre_trial",
      "type_nice": "Pre Trial"
    }
  ]
}

Last updated

Was this helpful?